Package org.drinkless.tdlib

# Class TdApi.AddChatMembers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FailedToAddMembers>
org.drinkless.tdlib.TdApi.AddChatMembers

Enclosing class:
  `TdApi`

public static class TdApi.AddChatMembers extends TdApi.Function<TdApi.FailedToAddMembers>
Adds multiple new members to a chat; requires canInviteUsers member right. Currently, this method is only available for supergroups and channels. This method can't be used to join a chat. Members can't be added to a channel if it has more than 200 members. Returns information about members that weren't added.

Returns `FailedToAddMembers`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long[]`
  `userIds`
  Identifiers of the users to be added to the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddChatMembers()`
  Default constructor for a function, which adds multiple new members to a chat; requires canInviteUsers member right.
  `AddChatMembers(long chatId, long[] userIds)`
  Creates a function, which adds multiple new members to a chat; requires canInviteUsers member right.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### userIds

    public long[] userIds
    Identifiers of the users to be added to the chat. The maximum number of added users is 20 for supergroups and 100 for channels.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddChatMembers

    public AddChatMembers()
    Default constructor for a function, which adds multiple new members to a chat; requires canInviteUsers member right. Currently, this method is only available for supergroups and channels. This method can't be used to join a chat. Members can't be added to a channel if it has more than 200 members. Returns information about members that weren't added.

    Returns `FailedToAddMembers`

  - ### AddChatMembers

    public AddChatMembers(long chatId, long[] userIds)
    Creates a function, which adds multiple new members to a chat; requires canInviteUsers member right. Currently, this method is only available for supergroups and channels. This method can't be used to join a chat. Members can't be added to a channel if it has more than 200 members. Returns information about members that weren't added.

    Returns `FailedToAddMembers`

    Parameters:
      `chatId` - Chat identifier.
      `userIds` - Identifiers of the users to be added to the chat. The maximum number of added users is 20 for supergroups and 100 for channels.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FailedToAddMembers>`
    Returns:
      this.CONSTRUCTOR